import { p as promiseResolve, b as bootstrapLazy } from './index-D2pe7ofM.js';
export { s as setNonce } from './index-D2pe7ofM.js';
import { g as globalScripts } from './app-globals-DQuL1Twl.js';

/*
 Stencil Client Patch Browser v4.31.0 | MIT Licensed | https://stenciljs.com
 */

var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["analog-clock",[[1,"analog-clock",{"size":[2],"timeZone":[2,"time-zone"],"time":[32]}]]]], options);
});
